Skip to main content
`Ctrl`+`K`

# SNESSetOptionsPrefix

Sets the prefix used for searching for all `SNES` options in the database.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetOptionsPrefix(SNES snes, const char prefix[])

Logically Collective

## Input Parameters

- snes - the `SNES` context

- prefix - the prefix to prepend to all option names

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetFromOptions()`, `SNESAppendOptionsPrefix()`

## Level

advanced

## Location

src/snes/interface/snes.c

## Examples

src/snes/tutorials/ex1.c
src/ts/utils/dmplexlandau/tutorials/ex1f90.F90
src/ts/tutorials/ex30.c
src/snes/tutorials/ex27.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages